package com.ss.android.ugc.aweme;

import X.0Gf;
import X.0Gp;
import X.AnonymousClass3Q8;
import X.C55344aM;
import X.C66254rx;
import X.Esf;
import X.Lnj;
import X.S9P;
import X.S9T;
import android.content.Context;
import android.os.Handler;
import android.os.Looper;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;
import com.ss.android.ugc.aweme.contentlanguage.api.ContentLanguageGuideServiceImpl;
import com.ss.android.ugc.aweme.feed.model.Aweme;

public class UgAllServiceImpl implements IUgAllService {
    static {
        Covode.recordClassIndex(50396);
    }

    public final void LIZ() {
        0Gp.LIZ(C66254rx.LIZ, 0Gp.LIZ, (0Gf) null);
    }

    public final void LIZIZ() {
        AnonymousClass3Q8.LIZ.LIZIZ = false;
        ContentLanguageGuideServiceImpl.LJI().LIZIZ();
    }

    public static IUgAllService LIZJ() {
        MethodCollector.i(35);
        IUgAllService iUgAllService = (IUgAllService) Lnj.LIZ(IUgAllService.class, false);
        if (iUgAllService != null) {
            MethodCollector.o(35);
            return iUgAllService;
        }
        Object LIZIZ = Lnj.LIZIZ(IUgAllService.class, false);
        if (LIZIZ != null) {
            IUgAllService iUgAllService2 = (IUgAllService) LIZIZ;
            MethodCollector.o(35);
            return iUgAllService2;
        }
        if (Lnj.LJJI == null) {
            synchronized (IUgAllService.class) {
                try {
                    if (Lnj.LJJI == null) {
                        Lnj.LJJI = new UgAllServiceImpl();
                    }
                } catch (Throwable th) {
                    MethodCollector.o(35);
                    throw th;
                }
            }
        }
        UgAllServiceImpl ugAllServiceImpl = (UgAllServiceImpl) Lnj.LJJI;
        MethodCollector.o(35);
        return ugAllServiceImpl;
    }

    public final void LIZJ(Context context) {
        C55344aM.LIZJ(context);
    }

    public final void LIZIZ(Context context) {
        ContentLanguageGuideServiceImpl.LJI().LIZ(context);
    }

    public final boolean LIZLLL(Context context) {
        return C55344aM.LIZ(context);
    }

    public final void LIZ(Context context) {
        new Handler(Looper.getMainLooper()).post(new S9T(context));
    }

    public final void LIZ(Context context, Aweme aweme) {
        ContentLanguageGuideServiceImpl.LJI().LIZ(context, aweme);
    }

    public final void LIZ(Context context, String str) {
        Esf.LJ = true;
        S9P.LJI.LIZ(str, context);
    }
}
